Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List collections

Returns collections for a shop. shop_id is required.

GET/collections
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
shop_idintegerrequired

ID of the shop whose collections to list.

pageinteger
default: 1
per_pageinteger
default: 20
Responses
200

Paginated collections list

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/collections?shop_id=1' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_class": [
    "results",
    "collections"
  ],
  "total_items": 2,
  "per_page": 20,
  "page": 1,
  "_embedded": {
    "items": [
      {
        "id": 5,
        "title": "Summer Collection",
        "slug": "summer",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/collections/5"
          }
        }
      }
    ]
  }
}

Was this page helpful?